Subject: [clisp-list] dealing with structures in modules

From: Dan Stanger <[email-masked]>
Date: Thu Apr 11 07:39:58 2002

I have a function in a c module, which needs to return a structure.  Is
it possible to pass in the
empty structure and set the elements of it?  Or is it just as fast to
return them as values,
and use a multiple-value-call passing them to a constructor for the
structure.
Or should I can I call the constructor directly in my c code.  The c
code is being generated
mostly, and I dont have too many structures, so I would prefer to do
this in the most efficent way.
I think that almost all of the structure elements are simple types such
as ints and floats.
Any insights would be appreciated.
TIA
Dan Stanger